unit uDebug;

{
   Package: TIU - TEXT INTEGRATION UTILITIES
   Date Created: Oct 23, 2006
   Site Name: Alexandria, VAMC
   Developers: Shawn Elliott, SGT
   Description: Mobile Electronic Documentation
   Note: This unit requires XWB*1.1 and TIU*1*244 in order to run.
         Includes Template routines from CPRS
}

interface
uses sysutils;

procedure Debug(Filename, Msg: string);
implementation

procedure Debug(Filename, Msg: string);
var
  dbgF: TextFile;
begin
    //Disable Debug output
  Exit;
  AssignFile(dbgF, Filename);

  if not FileExists(Filename) then
    Rewrite(dbgF)
  else
    Append(dbgF);

  Writeln(dbgF, Msg);
  Flush(dbgF);
  CloseFile(dbgF);
end;

end.
