program MED;

uses
  Forms,
  Windows,
  Messages,
  sysutils,
  fMED in 'fMED.pas' {frmMain},
  MSXML_TLB in 'CPRS Mod\MSXML_TLB.pas',
  uDB in 'uDB.pas',
  fPtSel in 'fPtSel.pas' {frmSelPatient},
  uCore in 'uCore.pas',
  uTemplateXML in 'uTemplateXML.pas',
  uNote in 'uNote.pas',
  fAboutMED in 'fAboutMED.pas' {frmAboutMED},
  uPatient in 'uPatient.pas',
  fGetPatList in 'fGetPatList.pas' {frmGetPatStatus},
  uFindItems in 'uFindItems.pas',
  fPrint in 'fPrint.pas' {frmPrint},
  fTemplateDialog in 'cprs mod\fTemplateDialog.pas' {frmTemplateDialog},
  fMedSettings in 'fMedSettings.pas' {fMedSettings},
  fTestData in 'fTestData.pas' {frmTestData},
  fGetPat in 'fGetPat.pas' {frmGetPat},
  compile_time in 'compile_time.pas',
  uHelp508Class in 'uHelp508Class.pas',
  Constants in 'Constants.pas',
  uUtils in 'uUtils.pas',
  UFileUpdater in 'UFileUpdater.pas' {frmUpdate};

{$R *.RES}

var
  Mtx: THandle;

begin
{$IFNDEF DEBUG}
  PrevInstMsg := RegisterWindowMessage('MobElecDoc_1_0');
  Mtx := CreateMutex(nil, True, 'MTX_MobElecDoc_1_0');
  if (Mtx = 0) or (GetLastError = ERROR_ALREADY_EXISTS) then
  begin

    // Already exists
    begin
      SendMessage(HWND_BROADCAST, PrevInstMsg, 0, 0);
    end
  end
  else
{$ENDIF}
  begin

    if not StopRunningApp then
    begin
      Application.Initialize;
      Application.Title := 'Mobile Electronic Documentation';
      Application.HelpFile := '';
      Application.CreateForm(TfrmMain, frmMain);
      Application.CreateForm(TfrmTestData, frmTestData);
      Application.Run;
      if Mtx <> 0 then
        CloseHandle(Mtx);
    end;

  end;

end.
