unit fGetPatList;

{
   Package: TIU - TEXT INTEGRATION UTILITIES
   Date Created: Oct 23, 2006
   Site Name: Alexandria, VAMC
   Developers: Shawn Elliott, SGT
   Description: Mobile Electronic Documentation
   Note: This unit requires XWB*1.1 and TIU*1*244 in order to run.
         Includes Template routines from CPRS
}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ComCtrls, VA508AccessibilityManager;

type
  TfrmGetPatStatus = class(TForm)
    pgStat: TProgressBar;
    lblPatStatus: TLabel;
    Image1: TImage;
    VA508AccessibilityManager1: TVA508AccessibilityManager;
  private
    { Private declarations }
  public
    procedure SetMax(Max: integer);
    procedure UpdateStatus(Message: string; Current: integer);
  end;

var
  frmGetPatStatus: TfrmGetPatStatus;

implementation

procedure TfrmGetPatStatus.SetMax(Max: integer);
begin
  Self.pgStat.Max := Max;
end;

procedure TfrmGetPatStatus.UpdateStatus(Message: string; Current: integer);
begin
  Self.lblPatStatus.Caption := Message;
  Self.pgStat.Position := Current;
end;

{$R *.DFM}

end.
